# encoding: utf-8
"""
AquadoppFile class
================================

   Base class for Aquadopp Files
"""

from .ParadoppFile import *
from ..base import DataCollection

class AquadoppFile(ParadoppFile):
    
    ext = '.prf'
    
    def __init__(self, *args, **kwargs):
        super(AquadoppFile, self).__init__(*args, **kwargs)
        
    def append(self, d):
        if d.name in self.data:
            self.data[d.name].append(d)
        else:
            self.data[d.name] = DataCollection(d, 
                min(self.record_info['sid'].count(d.sid), self.max_records),)