# encoding: utf-8
"""
VectorFile class
================================

   Base class for Vector Files
"""

from .ParadoppFile import *
from ..base import DataCollection

class VectorFile(ParadoppFile):
    
    ext = '.vec'
    
    def __init__(self, *args, **kwargs):
        super(VectorFile, self).__init__(*args, **kwargs)
        
    def append(self, d):
        if d.name in self.data:
            self.data[d.name].append(d)
        else:
            self.data[d.name] = DataCollection(d, 
                min(self.record_info['sid'].count(d.sid), self.max_records),)